Subject: Re: Suggestion regarding the classification of the characters.

From: Jan Wielemaker <[email-masked]>
Date: Tue, 13 Jun 2000 11:00:00 +0200

On Mon, 12 Jun 2000, Richard A. O'Keefe wrote:
>The intent of C/UNIX locales and their aspects such as LC_ALL
>LC_MESSAGES LC_MONETARY LC_COLLATE LC_TIME LC_NUMERIC LC_CTYPE
>is so that a program can adapt its *data* handling.
>
>To set the *syntax* of the programming language from the locale
>is a bad idea.  There are plenty of excellent reasons why Quintus
>Prolog decoupled its data character classification predicates
>from its syntax tables.

That is exactly what happens in SWI-Prolog.  char_type and code_type
build in the C-locale functions (appearently not correctly, we Dutch
are a bad testbed for this as most of us use ASCII with an US keyboard,
but that is another issue).  These functions are intended for
applications to process data.  The SWI-Prolog parser (as defined by
read_term/3 and friends) uses its own classification.

	Regards --- Jan